/*
    getopts.c

    This is an implementation of GNU-style long program options for use on systems
    which do not have the GNU libraries. It is not intended to be efficient, but it
    should work for everyone.
    
    Copyright (C) 1997 Jim Anderson

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Jim Anderson may be contacted at jim.anderson@accessone.com
*/

#ifndef _GETOPTS_H_
#define _GETOPTS_H_

#include <unistd.h>

#define	no_argument		0
#define required_argument	1
#define optional_argument	2

struct option {
  const char *name;
  int has_arg;
  int *flag;
  int val;
};

int getopt_long (int ARGC, char **ARGV, const char
          *SHORTOPTS, struct option *LONGOPTS, int *INDEXPTR);

#endif /* _GETOPTS_H_ */
